#ifndef _KEY_MANAGER_H
#define _KEY_MANAGER_H

typedef enum{
    KEY_DATA_NULL,       //无
    KEY_DATA_CANCEL,     //取消
    KEY_DATA_RECOVRY,    //恢复
    KEY_DATA_UP,         //上
    KEY_DATA_DOWN,       //下
    KEY_DATA_LEFT,       //左
    KEY_DATA_RIGHT,      //右
    KEY_DATA_ENTER,      //确认
    KEY_DATA_BACK,       //返回
    KEY_DATA_DEBLOCK,    //解锁
    KEY_DATA_LDEBLOCK,
    KEY_DATA_LENTER
}keyValue;
extern keyValue kValue;

keyValue    key_manager_get_event(void);
void        key_manager_set_event(keyValue val);
void        key_manager_reset(void);

#endif